Bug 1118869 - erlang maintenance update: 20.3.8.15
erlang maintenance update: 20.3.8.15
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Development
Leap 15.0
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Matwey Kornilov
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-12-09 12:11 UTC by Matwey Kornilov
Modified: 2019-04-19 06:43 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matwey Kornilov 2018-12-09 12:11:33 UTC
Hi,

In the stable erlang branch 20.3.x the following fixes were introduced in 20.3.8.15

- Fixed memory leak when sending data to terminating port
- Fixed wrong result when subtracting (--) two large lists.
- Incompatibility with newer OpenSSH fixed. Previously versions 7.8 and later could cause Erlang SSH to exit.

And lots of other minor fixes.
Comment 1 Swamp Workflow Management 2018-12-09 17:20:11 UTC
This is an autogenerated message for OBS integration:
This bug (1118869) was mentioned in
https://build.opensuse.org/request/show/656614 15.0+42.3+Backports:SLE-12+Backports:SLE-15 / erlang
Comment 2 Swamp Workflow Management 2018-12-27 14:09:07 UTC
openSUSE-RU-2018:4275-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1118867,1118869
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    erlang-18.3.4.11-9.3
openSUSE Leap 15.0 (src):    erlang-20.3.8.15-lp150.2.3.4
openSUSE Backports SLE-15 (src):    erlang-20.3.8.15-bp150.3.3.1
Comment 3 Swamp Workflow Management 2018-12-27 14:09:38 UTC
openSUSE-RU-2018:4276-1: An update that has two recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1118867,1118869
CVE References: 
Sources used:
SUSE Package Hub for SUSE Linux Enterprise 12 (src):    erlang-18.3.4.11-12.1
Comment 4 Matwey Kornilov 2019-01-06 20:17:19 UTC
Update released.